%define anolis_release 1

%bcond_without tests

%global pypi_name ethtool

Name:           python-%{pypi_name}
Version:        0.15
Release:        %{anolis_release}%{?dist}
Summary:        Python module to interface with %{pypi_name}

License:        GPLv2
URL:            https://github.com/fedora-python/%{name}
Source0:        https://github.com/fedora-python/python-ethtool/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

#In mock environment, this test case can not meet the test conditions, so skip it
Patch1001:      1001-skip-test_show_coalesce_eth.patch

BuildRequires:  gcc

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  libnl3-devel
BuildRequires:  net-tools
BuildRequires:  asciidoc
BuildRequires:  vim

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
License:        GPLv2
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%package -n     python3-%{pypi_name}-doc
Summary:        doc for python3-ethtool
Requires:       python3-%{pypi_name} = %{version}-%{release}
License:        GPLv2
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
Python 3 bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.


%prep
%autosetup -p1 -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build
a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc

%install
%py3_install
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}{%{_bindir},%{_sbindir}}/pifconfig
mv %{buildroot}{%{_bindir},%{_sbindir}}/pethtool

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p man/*.8 %{buildroot}%{_mandir}/man8/

%generate_compatibility_deps

%if %{with tests}
%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3}  -m unittest discover -v
%endif


%files -n python3-%{pypi_name}
%dir %{abidir}
%license COPYING
%{_sbindir}/pifconfig
%{_sbindir}/pethtool
%doc %{_mandir}/man8/*
%{python3_sitearch}/%{pypi_name}.cpython-%{python3_version_nodots}*.so
%{abidir}/%{pypi_name}.cpython-%{python3_version_nodots}*.dump
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%files -n python3-%{pypi_name}-doc
%doc README.rst CHANGES.rst

%changelog
* Fri Dec 16 2022 Feng Su <sufeng@linux.alibaba.com> - 0.15-1
- initial  packaging for Anolis 23
